package com.postgres.util.cmd;

import java.util.*;

abstract class GenericCmd {
	public String argID = null;
	protected boolean wasSet;
	protected abstract Object get() throws Exception;
	protected GenericCmd(String argID) {
		this.argID = argID;
		wasSet = false;
	}
	protected abstract int set(String args[], int iThisIndex) throws Exception;
	public boolean wasSet() {
		return wasSet;
	}
}
